package bookstorecounterexample;

import java.util.ArrayList;
import java.util.Iterator;
/**
* <h1>ItemManager</h1>
* Responsible for handling all 
* the functionality needed for the items.
*
* @version 1.0
* @since   2017-07-17
*/
public class ItemManager {
	private ArrayList<Item> allItems;
	
	public ItemManager(){
		allItems = new ArrayList<Item>();
	}
	
	/**
 	 * Adds an item in the list
 	 */
	public void addItem(Item anItem){
		allItems.add(anItem);
	}
	
	/**
 	 * Removes an item from the list
 	 */
	public void removeItem(int index){
		this.allItems.remove(index);
	}
	
	/**
 	 * Retrieves an item from a selected position
 	 * 
 	 * @param index: position of the item to be retrieved
 	 * @return an item from the list
 	 */
	public Item getItem(int index){
		return this.allItems.get(index);
	}
	
	/**
 	 * Displays all the information for each item in the console
 	 */
	public void reportAllItems(){
		Iterator <Item> ii = allItems.iterator();
		while (ii.hasNext()){
			Item i = ii.next();
			i.showDetails();
		}
		System.out.println("Total number of items: " + this.allItems.size());
	}
}

